#ifndef _I2C_H_
#define _I2C_H_

#include <stdint.h>

void i2c_init(void);

void i2c_reset(void);

int i2c_write(uint8_t i2c_addr, const uint8_t *data, uint8_t len);


int i2c_read(uint8_t i2c_addr, uint8_t command, uint8_t *data, uint8_t len);
#endif /* _I2C_H_ */